Bug 175876 - [new port] add x11-drivers/xf86-input-wacom to replace x11-drivers/input-wacom
Summary: [new port] add x11-drivers/xf86-input-wacom to replace x11-drivers/input-wacom
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks: 186514
  Show dependency treegraph
 
Reported: 2013-02-06 08:20 UTC by Jan Beich
Modified: 2014-09-06 05:16 UTC (History)
1 user (show)

See Also:


Attachments
split.diff (22.86 KB, patch)
2013-02-06 08:20 UTC, Jan Beich
no flags Details | Diff
shar (10.79 KB, text/plain)
2014-06-08 09:53 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2013-02-06 08:20:00 UTC
7.X is near EoL while uwacom still doesn't work on >= 8.x. So, let's
split the X11 driver from input-wacom and tidy it up. Here's the list of
my changes:

- replace rc.d script with a sample file to simplify configuration
- use the underlying install target; this exposes xorg headers which may
  be used by gnome-settings-daemon
- drop gmake and autotools dependencies
- drop explicit xinput dependency
- require webcamd to get /dev/input/eventN
- require xinerama for xsetwacom display mapping
- explicitly disable doxygen docs
- leave input-wacom as is but set up CONFLICTS and DEPRECATED
- add wacom to xorg-drivers port
- take maintainership for the time being
- update to 0.19.0

Asking x11@ folks for review about general style of xf86-input-* drivers
and everyone else if they'd rather prefer statu quo instead.

How-To-Repeat: $ cd ports/x11-drivers
$ svn cp input-wacom xf86-input-wacom
$ svn patch --strip 1 /path/to/split.diff
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-02-11 13:08:41 UTC
Responsible Changed
From-To: x11->freebsd-x11

Canonicalize assignment.
Comment 2 bartosz 2013-02-11 18:53:31 UTC
I agree that this should be turned into a port for the Xorg driver only.
The uwacom module is no longer necessary now that webcamd can run the
Linux drivers.

The only advantage of the uwacom module is its BSD license but as the
bug submitter said, I have not had the time to update the module to work
with FreeBSD >= 8.0.
Comment 3 Boris Samorodov freebsd_committer 2013-08-13 20:00:04 UTC
Responsible Changed
From-To: freebsd-x11->bsam

Take.
Comment 4 Boris Samorodov freebsd_committer 2014-02-16 21:20:55 UTC
Responsible Changed
From-To: bsam->freebsd-ports-bugs

I do not have the hardware any more.
Comment 5 Jan Beich freebsd_committer 2014-06-08 09:53:36 UTC
Created attachment 143520 [details]
shar

Only lightly tested on my USB tablet. Here's what changed:

- update to 0.24.99.1
- merge with the patch in bug 181133 (runtime untested)
- better ifdefs in case PkgSrc/DPorts wants the patches
- stagify

I'm using shar because it's shorter and less prone to merge conflicts.

$ svn di x11-drivers/xf86-input-wacom | wc -l
     586
$ tar cf - --format shar x11-drivers/xf86-input-wacom | wc -l
     403
Comment 6 Baptiste Daroussin freebsd_committer 2014-06-11 06:46:11 UTC
Committed in r357422 thanks!